RDKit: ForceFields::CrystalFF::TorsionAngleContribsParams Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
ForceFields::CrystalFF::TorsionAngleContribsParams Struct Reference

`#include <TorsionAngleContribs.h>`

## Public Member Functions
| TorsionAngleContribsParams (unsigned int idx1, unsigned int idx2, unsigned int idx3, unsigned int idx4, std::vector< double > forceConstants, std::vector< int > signs)

## Public Attributes
unsigned int | idx1 {0}
unsigned int | idx2 {0}
unsigned int | idx3 {0}
unsigned int | idx4 {0}
std::vector< double > | forceConstants {6, 1.0}
std::vector< int > | signs {6, 1}

## Detailed Description

A term to capture all torsion constraint potentials.

Definition at line 31 of file TorsionAngleContribs.h.

## Constructor & Destructor Documentation

## ◆ TorsionAngleContribsParams()

ForceFields::CrystalFF::TorsionAngleContribsParams::TorsionAngleContribsParams | ( | unsigned int | idx1,
|  | unsigned int | idx2,
|  | unsigned int | idx3,
|  | unsigned int | idx4,
|  | std::vector< double > | forceConstants,
|  | std::vector< int > | signs )
| inline

Definition at line 38 of file TorsionAngleContribs.h.

References forceConstants, idx1, idx2, idx3, idx4, and signs.

## Member Data Documentation

## ◆ forceConstants

std::vector<double> ForceFields::CrystalFF::TorsionAngleContribsParams::forceConstants {6, 1.0}

Definition at line 36 of file TorsionAngleContribs.h.

Referenced by TorsionAngleContribsParams().

## ◆ idx1

unsigned int ForceFields::CrystalFF::TorsionAngleContribsParams::idx1 {0}

Definition at line 32 of file TorsionAngleContribs.h.

Referenced by TorsionAngleContribsParams().

## ◆ idx2

unsigned int ForceFields::CrystalFF::TorsionAngleContribsParams::idx2 {0}

Definition at line 33 of file TorsionAngleContribs.h.

Referenced by TorsionAngleContribsParams().

## ◆ idx3

unsigned int ForceFields::CrystalFF::TorsionAngleContribsParams::idx3 {0}

Definition at line 34 of file TorsionAngleContribs.h.

Referenced by TorsionAngleContribsParams().

## ◆ idx4

unsigned int ForceFields::CrystalFF::TorsionAngleContribsParams::idx4 {0}

Definition at line 35 of file TorsionAngleContribs.h.

Referenced by TorsionAngleContribsParams().

## ◆ signs

std::vector<int> ForceFields::CrystalFF::TorsionAngleContribsParams::signs {6, 1}

Definition at line 37 of file TorsionAngleContribs.h.

Referenced by TorsionAngleContribsParams().

The documentation for this struct was generated from the following file:

- TorsionAngleContribs.h